<?php
/**
 * United Bears Widgets
 *
 * @package jp.co.united-bears
 * @version 1.0
 */
/*
Plugin Name: United Bears Widgets
Plugin URI: http://www.united-bears.co.jp/
Description: WordPress Widgets
Author: dsl
Version: 10.
Author URI: http://www.united-bears.co.jp/
*/

/**
 * Users widget class
 */
class UB_WP_Widget_Users extends WP_Widget {

	function __construct() {
		$widget_ops = array('classname' => 'widget_recent_entries', 'description' => '投稿者のリスト' );
		parent::__construct('users-posts', '投稿者', $widget_ops);
		$this->alt_option_name = 'widget_users_entries';
	}

	function widget($args, $instance) {
		if ( ! isset( $args['widget_id'] ) )
			$args['widget_id'] = $this->id;

		ob_start();
		extract($args);

		$title = apply_filters('widget_title', empty($instance['title']) ? 'AUTHORS' : $instance['title'], $instance, $this->id_base);
		$users = get_users(array('exclude' => array(1)));
?>
		<?php echo $before_widget; ?>
		<?php if ( $title ) echo $before_title . $title . $after_title; ?>
		<ul>
		<?php foreach($users as $user): ?>
			<li><a href="<?php echo site_url('/archives/author/' . $user->user_nicename); ?>" title="<?php echo $user->display_name; ?>"><?php echo $user->display_name; ?></a></li>
		<?php endforeach; ?>
		</ul>
		<?php echo $after_widget; ?>
<?php
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);

		return $instance;
	}

	function form( $instance ) {
		$title     = isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';
?>
		<p><label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo $title; ?>" /></p>
<?php
	}
}

function ub_wp_widgets_init() {
	if ( !is_blog_installed() )
		return;

	register_widget('UB_WP_Widget_Users');
	do_action('widgets_init');
}

add_action('init', 'ub_wp_widgets_init', 1);
